import * as _nuxt_schema from '@nuxt/schema';

interface MappleDynamicRoute {
    route: string;
    data: undefined | string[] | MappleDynamicRoute[];
}

interface ModuleOptions {
    /**
     * Base path/URL for the sitemap
     */
    basePath?: string;
    /**
     * Static routes to include in the sitemap
     */
    staticRoutes?: string[];
    /**
     * Verbose logging
     */
    verbose?: boolean;
    /**
     * Dynamic routes to include in the sitemap
     */
    dynamicRoutes?: any | MappleDynamicRoute[];
    /**
     * Whether to scan the content directory for content pages
     */
    useContent?: boolean;
    /**
     * RegExp to exclude content paths from the sitemap
     */
    excludeContent?: undefined | string;
    /**
     * RegExp to exclude any routes from the sitemap
     */
    excludeAny?: undefined | string;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { ModuleOptions, _default as default };
